gnutls_pubkey_import_openpgp(3)

NAME
gnutls_pubkey_import_openpgp - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_import_openpgp(gnutls_pubkey_t key, gnutls_openpgp_crt_t crt, unsigned int flags);

ARGUMENTS

gnutls_pubkey_t key
    The public key

gnutls_openpgp_crt_t crt
    The certificate to be imported

unsigned int flags
    should be zero

DESCRIPTION
Imports a public key from an openpgp key. This function will import the given public key to the abstract gnutls_pubkey_t type. The subkey set as preferred will be imported or the master key otherwise.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/